Skip to content
Start here

Get details and aggregate metrics for an http test

zero_trust.dex.http_tests.get(strtest_id, HTTPTestGetParams**kwargs) -> HTTPDetails
GET/accounts/{account_id}/dex/http-tests/{test_id}

Get test details and aggregate performance metrics for an http test for a given time period between 1 hour and 7 days.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare DEX WriteCloudflare DEX ReadZero Trust ReportZero Trust Read
ParametersExpand Collapse
account_id: str
maxLength32
test_id: str

API Resource UUID tag.

maxLength36
from_: str

Start time for aggregate metrics in ISO ms

interval: Literal["minute", "hour"]

Time interval for aggregate time slots.

One of the following:
"minute"
"hour"
to: str

End time for aggregate metrics in ISO ms

colo: Optional[str]

Optionally filter result stats to a Cloudflare colo. Cannot be used in combination with deviceId param.

device_id: Optional[SequenceNotStr[str]]

Optionally filter result stats to a specific device(s). Cannot be used in combination with colo param.

ReturnsExpand Collapse
class HTTPDetails:
host: Optional[str]

The url of the HTTP synthetic application test

http_stats: Optional[HTTPStats]
availability_pct: HTTPStatsAvailabilityPct
slots: List[HTTPStatsAvailabilityPctSlot]
timestamp: str
value: float
formatfloat
avg: Optional[float]

average observed in the time period

formatfloat
max: Optional[float]

highest observed in the time period

formatfloat
min: Optional[float]

lowest observed in the time period

formatfloat
dns_response_time_ms: TestStatOverTime
slots: List[Slot]
timestamp: str
value: int
avg: Optional[int]

average observed in the time period

max: Optional[int]

highest observed in the time period

min: Optional[int]

lowest observed in the time period

http_status_code: List[HTTPStatsHTTPStatusCode]
status200: int
status300: int
status400: int
status500: int
timestamp: str
resource_fetch_time_ms: TestStatOverTime
slots: List[Slot]
timestamp: str
value: int
avg: Optional[int]

average observed in the time period

max: Optional[int]

highest observed in the time period

min: Optional[int]

lowest observed in the time period

server_response_time_ms: TestStatOverTime
slots: List[Slot]
timestamp: str
value: int
avg: Optional[int]

average observed in the time period

max: Optional[int]

highest observed in the time period

min: Optional[int]

lowest observed in the time period

unique_devices_total: int

Count of unique devices that have run this test in the given time period

http_stats_by_colo: Optional[List[HTTPStatsByColo]]
availability_pct: HTTPStatsByColoAvailabilityPct
slots: List[HTTPStatsByColoAvailabilityPctSlot]
timestamp: str
value: float
formatfloat
avg: Optional[float]

average observed in the time period

formatfloat
max: Optional[float]

highest observed in the time period

formatfloat
min: Optional[float]

lowest observed in the time period

formatfloat
colo: str
dns_response_time_ms: TestStatOverTime
slots: List[Slot]
timestamp: str
value: int
avg: Optional[int]

average observed in the time period

max: Optional[int]

highest observed in the time period

min: Optional[int]

lowest observed in the time period

http_status_code: List[HTTPStatsByColoHTTPStatusCode]
status200: int
status300: int
status400: int
status500: int
timestamp: str
resource_fetch_time_ms: TestStatOverTime
slots: List[Slot]
timestamp: str
value: int
avg: Optional[int]

average observed in the time period

max: Optional[int]

highest observed in the time period

min: Optional[int]

lowest observed in the time period

server_response_time_ms: TestStatOverTime
slots: List[Slot]
timestamp: str
value: int
avg: Optional[int]

average observed in the time period

max: Optional[int]

highest observed in the time period

min: Optional[int]

lowest observed in the time period

unique_devices_total: int

Count of unique devices that have run this test in the given time period

interval: Optional[str]

The interval at which the HTTP synthetic application test is set to run.

kind: Optional[Literal["http"]]
method: Optional[str]

The HTTP method to use when running the test

name: Optional[str]

The name of the HTTP synthetic application test

target_policies: Optional[List[DigitalExperienceMonitor]]
id: str

API Resource UUID tag.

maxLength36
default: bool

Whether the policy is the default for the account

name: str
targeted: Optional[bool]

Get details and aggregate metrics for an http test

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
http_details = client.zero_trust.dex.http_tests.get(
    test_id="f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    account_id="01a7362d577a6c3019a474fd6f485823",
    from_="1689520412000",
    interval="minute",
    to="1689606812000",
)
print(http_details.host)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "host": "http://example.com",
    "httpStats": {
      "availabilityPct": {
        "slots": [
          {
            "timestamp": "2023-07-16 15:00:00+00",
            "value": 0
          }
        ],
        "avg": 0,
        "max": 0,
        "min": 0
      },
      "dnsResponseTimeMs": {
        "slots": [
          {
            "timestamp": "2023-07-16 15:00:00+00",
            "value": 0
          }
        ],
        "avg": 0,
        "max": 0,
        "min": 0
      },
      "httpStatusCode": [
        {
          "status200": 0,
          "status300": 0,
          "status400": 0,
          "status500": 0,
          "timestamp": "2023-07-16 15:00:00+00"
        }
      ],
      "resourceFetchTimeMs": {
        "slots": [
          {
            "timestamp": "2023-07-16 15:00:00+00",
            "value": 0
          }
        ],
        "avg": 0,
        "max": 0,
        "min": 0
      },
      "serverResponseTimeMs": {
        "slots": [
          {
            "timestamp": "2023-07-16 15:00:00+00",
            "value": 0
          }
        ],
        "avg": 0,
        "max": 0,
        "min": 0
      },
      "uniqueDevicesTotal": 57
    },
    "httpStatsByColo": [
      {
        "availabilityPct": {
          "slots": [
            {
              "timestamp": "2023-07-16 15:00:00+00",
              "value": 0
            }
          ],
          "avg": 0,
          "max": 0,
          "min": 0
        },
        "colo": "DFW",
        "dnsResponseTimeMs": {
          "slots": [
            {
              "timestamp": "2023-07-16 15:00:00+00",
              "value": 0
            }
          ],
          "avg": 0,
          "max": 0,
          "min": 0
        },
        "httpStatusCode": [
          {
            "status200": 0,
            "status300": 0,
            "status400": 0,
            "status500": 0,
            "timestamp": "2023-07-16 15:00:00+00"
          }
        ],
        "resourceFetchTimeMs": {
          "slots": [
            {
              "timestamp": "2023-07-16 15:00:00+00",
              "value": 0
            }
          ],
          "avg": 0,
          "max": 0,
          "min": 0
        },
        "serverResponseTimeMs": {
          "slots": [
            {
              "timestamp": "2023-07-16 15:00:00+00",
              "value": 0
            }
          ],
          "avg": 0,
          "max": 0,
          "min": 0
        },
        "uniqueDevicesTotal": 57
      }
    ],
    "interval": "0h5m0s",
    "kind": "http",
    "method": "GET",
    "name": "Atlassian Sign In Page",
    "target_policies": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "default": true,
        "name": "name"
      }
    ],
    "targeted": true
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "host": "http://example.com",
    "httpStats": {
      "availabilityPct": {
        "slots": [
          {
            "timestamp": "2023-07-16 15:00:00+00",
            "value": 0
          }
        ],
        "avg": 0,
        "max": 0,
        "min": 0
      },
      "dnsResponseTimeMs": {
        "slots": [
          {
            "timestamp": "2023-07-16 15:00:00+00",
            "value": 0
          }
        ],
        "avg": 0,
        "max": 0,
        "min": 0
      },
      "httpStatusCode": [
        {
          "status200": 0,
          "status300": 0,
          "status400": 0,
          "status500": 0,
          "timestamp": "2023-07-16 15:00:00+00"
        }
      ],
      "resourceFetchTimeMs": {
        "slots": [
          {
            "timestamp": "2023-07-16 15:00:00+00",
            "value": 0
          }
        ],
        "avg": 0,
        "max": 0,
        "min": 0
      },
      "serverResponseTimeMs": {
        "slots": [
          {
            "timestamp": "2023-07-16 15:00:00+00",
            "value": 0
          }
        ],
        "avg": 0,
        "max": 0,
        "min": 0
      },
      "uniqueDevicesTotal": 57
    },
    "httpStatsByColo": [
      {
        "availabilityPct": {
          "slots": [
            {
              "timestamp": "2023-07-16 15:00:00+00",
              "value": 0
            }
          ],
          "avg": 0,
          "max": 0,
          "min": 0
        },
        "colo": "DFW",
        "dnsResponseTimeMs": {
          "slots": [
            {
              "timestamp": "2023-07-16 15:00:00+00",
              "value": 0
            }
          ],
          "avg": 0,
          "max": 0,
          "min": 0
        },
        "httpStatusCode": [
          {
            "status200": 0,
            "status300": 0,
            "status400": 0,
            "status500": 0,
            "timestamp": "2023-07-16 15:00:00+00"
          }
        ],
        "resourceFetchTimeMs": {
          "slots": [
            {
              "timestamp": "2023-07-16 15:00:00+00",
              "value": 0
            }
          ],
          "avg": 0,
          "max": 0,
          "min": 0
        },
        "serverResponseTimeMs": {
          "slots": [
            {
              "timestamp": "2023-07-16 15:00:00+00",
              "value": 0
            }
          ],
          "avg": 0,
          "max": 0,
          "min": 0
        },
        "uniqueDevicesTotal": 57
      }
    ],
    "interval": "0h5m0s",
    "kind": "http",
    "method": "GET",
    "name": "Atlassian Sign In Page",
    "target_policies": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "default": true,
        "name": "name"
      }
    ],
    "targeted": true
  }
}